/* misc utility
   in TBCppA project: tracer-based CPP analyzer.
   Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
   $Id: misc.h,v 1.1 2006/06/07 09:29:20 gondow Exp $ */

#ifndef TBCPPA_MISC_H
#define TBCPPA_MISC_H
#include <sys/stat.h>
#define EFREE(p)     efree(p, __FILE__, __LINE__)

void chop    (char *s);
void chop_nl (char *s); /* chop if the last char is LF */
int  mkdirhier (char *dir, mode_t mode);
FILE *fopen_with_mkdir (const char *path, const char *mode);
void *emalloc (int size);
void *erealloc(void *ptr, size_t size);
void efree   (void *ptr, char *file, int line);
char *estrdup (const char *s);
int  easprintf (char **sp, const char *fmt, ...);
char *str_to_xml (char *s);
void xml_encode (FILE *fp, char *text);
#endif /* TBCPPA_MISC_H */

