/* pi: Path from/to Id number conversion utility (non-cache versin)
   in TBCppA project: tracer-based CPP analyzer.
   Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
   $Id: pi.h,v 1.1 2006/06/07 09:29:20 gondow Exp $ */

#ifndef TBCPPA_PI_H
#define TBCPPA_PI_H
void pi_init (const char *db_file);
void pi_final (void);
void pi_add  (const char *file, const char *path);
char *pi_idnum2path (int idnum);
int  pi_path2idnum (const char *path);
/*
  メモリ上に展開する関数があってもよいな，きっと．
 */

extern int   path_max;
#endif /* TBCPPA_PI_H */
