#!/bin/csh -f

#  setup-header.csh: translator from system header files to TBCppA XML.
#  in TBCppA project: tracer-based CPP analyzer.
#  Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
#  $Id: setup-header.csh,v 1.3 2006/06/08 08:07:26 gondow Exp $

# set TADD_OPTION   = --conservative
set TADD_OPTION   = 
set TBCPPA_BINDIR = ~/paper/fose06/src2
set HEADER_DIR    = '/usr/include /usr/include/sys /usr/include/machine /usr/include/cygwin /usr/lib/gcc/i686-pc-cygwin/3.4.4/include'

# append $TBCPPA_DIR if not in path
echo $path | grep -q $TBCPPA_BINDIR
if ( $status ) then
  set path=($TBCPPA_BINDIR $path:q)
endif

foreach dir ($HEADER_DIR)
   foreach hfile ($dir/*.h)
       echo $hfile
       tadd.exe $TADD_OPTION $hfile
   end
end
