/* tadd: embedding CPP tracers in C programs.
   in TBCppA project: tracer-based CPP analyzer.
   Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
   $Id: tadd.h,v 1.2 2006/06/08 17:33:49 gondow Exp gondow $ */


#ifndef TBCPPA_TADD_H
#define TBCPPA_TADD_H

#include "list.h"

struct lval {
    char        *str;    /* bare lexical string */
    char        *str2;   /* doubled string (eg., FOO -> FOO_1528552) */
    char        *tadd;   /* tracer-embedded and doubled string */
    struct CDLL *list;
};

extern char *yytext;
extern FILE *yyin, *yyout;
extern FILE *commout;
extern char *absolute_path;
extern int  idnum;
extern char **double_suffix_p;

extern int is_if_or_elif;

int yylex (void);
void tadd_unput (char *s);

#define YYSTYPE struct lval

#endif /* TBCPPA_TADD_H */

