<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
<xsl:output method="xml" doctype-system="TBCppA.dtd" indent="yes"/>
-->
<xsl:template match="/">
    <xsl:value-of disable-output-escaping="yes"
	 select="comment()[contains(.,'DOCTYPE')][1]"/>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="filename_list">
  <filename_list>
    <xsl:text disable-output-escaping="yes"><![CDATA[&db_file;]]></xsl:text>
  </filename_list>
</xsl:template>

<xsl:template match="comment_list">
  <comment_list>
  <xsl:text disable-output-escaping="yes"><![CDATA[&comm_file;]]></xsl:text>
  </comment_list>
</xsl:template>

<xsl:template match="@*|node()">
    <xsl:choose>
    <xsl:when test="(name(.)='macro_call') and (@name=bare)">
	<xsl:value-of select="bare"/>
    </xsl:when>
    <xsl:otherwise>
	<xsl:copy>
	    <xsl:apply-templates select="@*|node()"/>
    	</xsl:copy>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>
</xsl:stylesheet>
