/* CDLL: circular doubly-linked list.
   in TBCppA project: tracer-based CPP analyzer.
    Copyright (c) 2006 Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
    $Id: list.h,v 1.1 2006/06/07 09:29:20 gondow Exp $ */
#ifndef TBCPPA_LIST_H
#define TBCPPA_LIST_H
#include <stdio.h>
/* ---------------------------------------------------------------------- */
struct CDLL {
    char *param_name; /* assumes dynamically allocated */
    struct CDLL *next, *prev;
};
/* ---------------------------------------------------------------------- */
void CDLL_init    (struct CDLL *head);
void CDLL_insert  (struct CDLL *head, char *param_name);
int  CDLL_query   (struct CDLL *head, char *param_name);
void CDLL_free    (struct CDLL *head);
/* ---------------------------------------------------------------------- */
#endif /* TBCPPA_LIST_H */
