<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- $Id: tifdef.xsl,v 1.1 2006/06/17 14:50:25 gondow Exp gondow $ -->
<xsl:output method="text"/>

<xsl:variable name="id" select="/TBCppA/file/@filename_ref"/>

<xsl:template match="/">
   <xsl:apply-templates select="//cond"/>
</xsl:template>

<xsl:template match="cond">
  <xsl:variable name="first_line" select="cond_selected/@first_line"/>
  <xsl:apply-templates select="(if|ifdef|ifndef|elif|else)[@first_line != $first_line and @filename_ref = $id]"/>

</xsl:template>

<xsl:template match="if|ifdef|ifndef|elif|else">
<xsl:value-of select="@first_line"/><xsl:text> </xsl:text> <xsl:value-of select="@last_line"/><xsl:text>
</xsl:text>
</xsl:template>
</xsl:stylesheet>
